{% extends 'base.html.twig' %}

{% block body %}

    <h1><a href="{{ path('internet') }}">Utenti</a> &gt; <a href="{{ path ('getChildGroups', { 'providerId': provider.id }) }}">{{ rootGroup|capitalize }}</a>
        &gt; {{ group }}</h1>

    <h3>Legenda</h3>
    <p>
        <i class="ti-world"></i> Navigazione attiva
    </p>
    <div class="table-responsive">
        <table class="table table-striped">
            {% for user in students %}
                <tr>
                    <td>
                        {% if user.state=='user-active' %}
                            <i class="ti-world"></i>
                            {% if user.ending_time %}<div class="label label-primary">{{ user.ending_time }}</div>{% endif %}
                            {% if user.activedBy != "" %}<br /><div class="label label-default">{{ user.activedBy }}</div>{% endif %}
                        {% endif %}
                    </td>
                    <td>
                        {{ user.student.lastname }} {{ user.student.firstname }} ({{ user.student.username }})<br />
                        <small>{{ user.student.fiscalCode }}</small>
                    </td>
                    <td style="text-align: right">
                        {% if user.state=='not-active' %}
                            <button id="internetOn-{{ user.student.username }}" class="btn btn-success internetOn">
                                <i class="ti-alarm-clock"></i> Attiva
                            </button>
                        {% elseif user.state=='activating' %}
                            <span class="label label-warning">In Attivazione</span>
                        {% else %}
                            <button id="internetEx-{{ user.student.username }}" class="btn btn-warning internetOn">
                                <i class="ti-alarm-clock"></i> Estendi
                            </button>
                            <a href="{{ path('internetOffUser',{'user': user.student.username,'group':group,  'rootGroup': rootGroup}) }}" class="btn btn-danger"
                               {% if user.activedByOtherUser %} onclick="return confirm('Non sei stato tu ad abilitare questo studente. Sicuro di volerlo disattivare?')"{% endif %}
                            >
                                Disattiva
                            </a>
                        {% endif %}
                        <div class="btn-group">
                            <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Azioni <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu dropdown-menu-right">
                                <li><a href="#">Visualizza Dati</a></li>
                                {#<li role="separator" class="divider"></li>#}
                                <li><a href="{{ path('student_edit',{'id': user.student.id}) }}">Modifica</a></li>
                                <li><a href="#">Reimposta Password</a></li>
                                <li><a href="#">Rigenera Password</a></li>
                            </ul>
                        </div>
                    </td>
                </tr>
            {% endfor %}
        </table>
    </div>


    <div class="modal fade" id="setTime" tabindex="-1" role="dialog" aria-labelledby="setTime" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title">Attivazione internet</h4>
                    </div>
                    <div class="modal-body">
                        Attiva <span id="user"></span> fino alle: <input type="text" id="timeToSet"
                                                                         value="{{ timeToSet|date("H:i") }}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Chiudi</button>
                        <button id="confirm" type="button" class="btn btn-primary">Attiva</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <a href="{{ path ('getChildGroups', { 'rootGroup': rootGroup }) }}" class="btn btn-secondary">
        <i class="ti-arrow-left"></i>Ritorna alla lista {{ rootGroup }}
    </a>
    <a href="{{ path('showStudentsGroup',{'providerId': provider.id, 'groupId':group.id, '_format': 'pdf'}) }}" class="btn btn-info">Stampa lista studenti</a>


    <script>
        var user = '';
        var timeToSet = '{{ timeToSet|date("H:i") }}';
        $(".internetOn").click(function () {
            $('#setTime').modal('show');
            user = (this.id).substring(11);
            $('#user').html(user);
        });
        $("#confirm").click(function () {
            timeToSet = $('#timeToSet').val();
            window.location.href = "{{ path('internetOnUser',{'group': group, 'rootGroup': rootGroup}) }}?user=" + user + "&timeToSet=" + timeToSet;
            $('#setTime').modal('hide');
        });


    </script>


{% endblock %}
